# Servers

The Department of Meteorology and Geophysics has access to the following computing resources:

- Teaching and Development Server [SRVX1](SRVX1.md)
- Development Server [Aurora](Aurora.md)
- Services Server [SRVX8](SRVX8.md)
- Computing Cluster [JET](JET.md)
- Vienna Scientific Cluster [VSC](../VSC.md)

## Available Work Environments

Locations:

- Students [SRVX1](SRVX1.md), [TeachingHub + MasterHub](../Students/TeachingHub.md)
- Staff Development [Aurora](Aurora.md)
- Staff + Remote Desktop + Jupyterhub [Jet Cluster](JET.md)
- Staff [Vienna Scientific Cluster (VSC)](../VSC.md)
  - [VSC Training](https://vsc.ac.at/training)
  - [VSC Trainings @ IMGW](https://gitlab.phaidra.org/imgw/trainings-course)

_Note: Please take a look at the training course @VSC. There might be a beginners course about Linux or Clusters or Python!_ It is highly recommended to use these existing courses to get up to speed. Most of these are available as pdfs right away, but still taking the course is the prefered way.

## How to connect from Home or Abroad?

![IMGW Connection Diagramm](../mkdocs/img/IMGW-connection-diagram.png)

## How to connect from the Office?

![IMGW Connection Diagramm2](../mkdocs/img/IMGW-connection-diagram2.png)

## Services

Summary of services available @IMGW for staff and students. Some of these services require different accounts ([info](https://wolke.img.univie.ac.at/accounts.html)) or nework access.

| name        | description                           | url/path                                                                        | access  | host  |
| ----------- | ------------------------------------- | ------------------------------------------------------------------------------- | ------- | ----- |
| teachinghub | Jupyterlab for Teaching & Development | [teaching.wolke.img.univie.ac.at](https://teaching.wolke.img.univie.ac.at)      | web     | SRVX1 |
| MasterHub   | Jupyterlabfor Master Students         | [quell.wolke.img.univie.ac.at](https://quell.wolke.img.univie.ac.at)            | web     | SRVX1 |
| ecgateway   | ECMWF Member State Gateway            | [ecaccess.wolke.img.univie.ac.at](https://ecaccess.wolke.img.univie.ac.at/)     | img/vpn | JET02 |
| researchhub | Jupyterlab for Development            | [jupyter.wolke.img.univie.ac.at](https://jupyter.wolke.img.univie.ac.at)        | img/vpn | JET02 |
| webdata     | File server (/srvfs/webdata)          | [webdata.wolke.img.univie.ac.at](https://webdata.wolke.img.univie.ac.at)        | web     | SRVX8 |
| YoPass      | Secure Message Service (YoPass)       | [secure.wolke.img.univie.ac.at](https://secure.wolke.img.univie.ac.at/)         | web     | SRVX8 |
| TransferSH  | Easy commandline file transfer/send   | [transfersh.wolke.img.univie.ac.at](https://transfersh.wolke.img.univie.ac.at/) | web     | SRVX8 |
| Uptime      | Server Monitoring                     | [uptime.wolke.img.univie.ac.at](https://uptime.wolke.img.univie.ac.at/)         | web     | SRVX8 |
| IPA         | User Management                       | [wolke.img.univie.ac.at/ipa/ui](https://wolke.img.univie.ac.at/ipa/ui)          | img/vpn | WOLKE |


## Containers

🚧🚧🚧🚧🚧🚧(ongoing)🚧🚧🚧🚧🚧

Summary of containerized applications available @IMGW.

Containerization is done via singularity/apptainer. A some what incomplete introduction is given [here](https://gitlab.phaidra.org/imgw/singularity).


